This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 144522 - CAN-2005-0180 2.6 scsi ioctl integer overflow and information leak
CAN-2005-0180 2.6 scsi ioctl integer overflow and information leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
public=20060107,impact=important
: Security
Depends On:
Blocks: 144195
  Show dependency treegraph
 
Reported: 2005-01-07 16:58 EST by Josh Bressers
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 12:21:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-07 16:58:08 EST
*** This bug has been split off bug 144519 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.07
16:47 -------

grsecurity announcement to full-disclosure
http://lists.netsys.com/pipermail/full-disclosure/2005-January/030660.html

It would seem that user input controlls the integers being overflowed.  It looks
like a malicious user should be able to alter kernel memory.

The fix for this issue is in attachment 109500 [details]
Comment 1 Josh Bressers 2005-02-18 12:21:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-092.html

Note You need to log in before you can comment on or make changes to this bug.